aboutsummaryrefslogtreecommitdiffstats
path: root/powershell
diff options
context:
space:
mode:
authorDanilo M. <danix@danix.xyz>2026-04-03 22:38:52 +0200
committerDanilo M. <danix@danix.xyz>2026-04-03 22:38:52 +0200
commitff22ff3ffa55cc607aacc1bf4fa026e651466c9a (patch)
tree6b0ebb98cf1bb666c2c7e513b43be481ce7c7b09 /powershell
parentc393d0e98cd3fdf02305f7659afa1bb1e4a02a7e (diff)
downloadslackware-pentesting-suite-ff22ff3ffa55cc607aacc1bf4fa026e651466c9a.tar.gz
slackware-pentesting-suite-ff22ff3ffa55cc607aacc1bf4fa026e651466c9a.zip
moved all packages to the root of the repository
Diffstat (limited to 'powershell')
-rw-r--r--powershell/README7
-rw-r--r--powershell/powershell.SlackBuild79
-rw-r--r--powershell/powershell.info10
-rw-r--r--powershell/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/powershell/README b/powershell/README
new file mode 100644
index 0000000..b78bb03
--- /dev/null
+++ b/powershell/README
@@ -0,0 +1,7 @@
+PowerShell is a task-based command-line shell and scripting language
+built on .NET. PowerShell helps system administrators and power-users
+rapidly automate tasks that manage operating systems (Linux, macOS, and
+Windows) and processes.
+
+After installing, you can start using PowerShell by typing "pwsh" in the
+Terminal.
diff --git a/powershell/powershell.SlackBuild b/powershell/powershell.SlackBuild
new file mode 100644
index 0000000..88801de
--- /dev/null
+++ b/powershell/powershell.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/bash
+#
+# Slackware build script for powershell.
+#
+# Copyright 2022 Reza Talebi, Shahin Shahr, Iran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=powershell
+VERSION=${VERSION:-7.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ ARCH=$( uname -m )
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ ARCHITECTURE="x64"
+else
+ echo "Package for $ARCH architecture is not available."
+ exit 1
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}-${BUILD}
+mkdir -p $PRGNAM-${VERSION}-${BUILD}
+cd $PKG
+mkdir -p opt/microsoft/powershell
+tar -zxf $CWD/$PRGNAM-${VERSION}-linux-${ARCHITECTURE}.tar.gz -C opt/microsoft/powershell
+chown -R root:root opt/microsoft/powershell
+chmod 755 opt/microsoft/powershell/pwsh
+
+mkdir -p usr/bin/
+ln -s /opt/microsoft/powershell/pwsh usr/bin/pwsh
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/powershell/powershell.info b/powershell/powershell.info
new file mode 100644
index 0000000..306dd42
--- /dev/null
+++ b/powershell/powershell.info
@@ -0,0 +1,10 @@
+PRGNAM="powershell"
+VERSION="7.6.0"
+HOMEPAGE="https://www.microsoft.com/powershell/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/PowerShell/PowerShell/releases/download/v7.6.0/powershell-7.6.0-linux-x64.tar.gz"
+MD5SUM_x86_64="3017c02a76f83282786cd01ce636988d"
+REQUIRES=""
+MAINTAINER="Reza Talebi"
+EMAIL="reza.talebi.73@outlook.com"
diff --git a/powershell/slack-desc b/powershell/slack-desc
new file mode 100644
index 0000000..88ee249
--- /dev/null
+++ b/powershell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+powershell: powershell (A task-based command-line shell and scripting language)
+powershell:
+powershell: PowerShell is a task-based command-line shell and scripting language
+powershell: built on .NET. PowerShell helps system administrators and power-users
+powershell: rapidly automate tasks that manage operating systems (Linux, macOS,
+powershell: and Windows) and processes.
+powershell: PowerShell base source code is now available in GitHub
+powershell: and open to community contributions.
+powershell:
+powershell: https://www.microsoft.com/powershell/
+powershell: